complexType "EnvironmentalPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | numberOfAllowances, environmental, abandonmentOfScheme?
</...>

Content Model Elements (3):

  abandonmentOfScheme, environmental, numberOfAllowances

All Direct / Indirect Based Elements (1):

  environmentalPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  environmentalPhysicalLeg

Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) EnvironmentalPhysicalLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="EnvironmentalPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <xsd:element name="numberOfAllowances" type="UnitQuantity"/> <xsd:element name="environmental" type="EnvironmentalProduct"/> <xsd:element minOccurs="0" name="abandonmentOfScheme" type="EnvironmentalAbandonmentOfSchemeEnum"/> <!--View Generation: SKIPPED deliveryDate - Standardized--> <!--View Generation: Skipped an empty sequence.--> <!--View Generation: SKIPPED failureToDeliverApplicable - Standardized--> <!--View Generation: SKIPPED eEPParameters - Standardized--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
abandonmentOfScheme

  Type: | EnvironmentalAbandonmentOfSchemeEnum, simple content

  Applies to U.S. Emissions Allowance Transactions. Specifies terms which apply in the event of an Abandonment of Scheme event.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "OptionA(1)" | - | Abandonment of Scheme constitutes an Additional Termination Event.
  "OptionA(2)" | - | Abandonment of Scheme entails no further obligations.
  "OptionB" | - | The applicability of Abandonment of Scheme to Emissions Transactions is set forth in the applicable Confirmation.
  "OptionC" | - | The applicability of Abandonment of Scheme does not apply.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="abandonmentOfScheme" type="EnvironmentalAbandonmentOfSchemeEnum"/>

environmental

  Type: | EnvironmentalProduct, complex content

  The specification of the type of allowance or credit.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="environmental" type="EnvironmentalProduct"/>

numberOfAllowances

  Type: | UnitQuantity, complex content

  The number of allowances, certificates or credit to be transaction in the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="numberOfAllowances" type="UnitQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.